<template src="./viewToolNav.html">

</template>
<script>
	const util = require('@/static/utils/util.js');
	const config = require('@/static/config.js');
	import Bus from '@/common/bus';
	import commonMethod from '@/common/commonMethod.js';
	import requestConfig from '@/static/lib/requestConfig';
	// import bgLoading from "@/components/bgLoading/bgLoading.vue"
	// import { nextTick } from "vue";
	const app = getApp(); //获取应用实例
	export default {
		data: function() {
			return {
				title:"",
			}
		},
		props:{
			seedItem: {
				type: Object,
				default: {},
			},
		},
		watch: {
			seedItem: {
				handler(newVal) {
					if (newVal) {
						this.title = newVal.spaceName
						console.warn("***seedItem-change***",newVal)
					}
				},
			},
		},
		mounted() {//组件挂载时事件
			console.warn("***mounted-nav***",this.seedItem)
			if(this.seedItem){
				this.title = this.seedItem.spaceName;
			}
		},
		// 页面被展示时执行
		onPageShow: function() {  
			
		},
		//页面被隐藏时执行
        onPageHide: function() {

        },
		methods:{
			navBack(){
				this.$emit("downCom");
			},
		}
	}
</script>
<style lang="css" scoped>
    @import "./viewToolNav.css";
	@import "@/common/css/common.css";
</style>
